
package servicio;

import entidad.Trama;

import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.Session;
import org.hibernate.criterion.MatchMode;
import org.hibernate.criterion.Restrictions;


public class ServicioTrama extends AbstractFacade<Trama> {

    public ServicioTrama() {
        super(Trama.class);
        
    }

  
       

       
       
        
    public List<Trama> findAll() {
        return super.findAll();
    }

    
    public void save(Trama tra) {
            super.createEdit(tra);
    }
    
    public void remove(int noca) {
        final Trama find = super.find(noca);
        if (find!=null){
        super.remove(find);}
    }
    
    
    
    
    public Trama find (int noca) {
        return super.find(noca);
    }
    
    
}
